BUSERVER(8)

NAME
buserver - Initializes the Backup Server

SYNOPSIS
buserver [-database <database directory>]
    [-auditlog <log path>]
    [-audit-interface (file | sysvmq)]
    [-cellservdb <cell configuration directory>] [-resetdb]
    [-noauth] [-smallht]
    [-servers <list of ubik database servers>+]
    [-rxbind]
    [-p <number of threads>] [-ubikbuffers <# of buffers>]
    [-help]

DESCRIPTION
The buserver command initializes the Backup Server, which runs on database server machines and maintains the Backup Database. In the conventional configuration, the binary file is located in the /usr/lib/openafs directory on a file server machine.

The buserver command is not normally issued at the command shell prompt, but rather placed into a database server machine's /etc/openafs/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a file server machine as the local superuser "root".

As it initializes, the Backup Server process creates the two files that constitute the Backup Database, bdb.DB0 and bdb.DBSYS1, in the /var/lib/openafs/db directory if they do not already exist. The Backup Database houses information about volume sets and entries, the dump hierarchy, Tape Coordinators, and previously performed dump sets. Use the commands in the backup suite to administer the database.

The Backup Server records a trace of its activity in the /var/log/openafs/BackupLog file. Use the bos getlog command to display the contents of the file.

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

CAUTIONS
The buserver process reserves port 7021 for its use. Unexpected behavior can occur if another process tries to reserve this port while the buserver process is running.

OPTIONS

-database <database directory>
    Specifies the pathname of an alternate directory for the Backup Database files, ending in a final slash ("/"). If this argument is not provided, the default is the /var/lib/openafs/db directory.

-auditlog <log path>
    Turns on audit logging, and sets the path for the audit log. The audit log records information about RPC calls, including the name of the RPC call, the host that submitted the call, the authenticated entity (user) that issued the call, the parameters for the call, and if the call succeeded or failed.

-audit-interface (file | sysvmq)
    Specifies what audit interface to use. Defaults to "file". See fileserver(8) for an explanation of each interface.

-cellservdb <cell configuration directory>
    Specifies the pathname of the directory from which the Backup Server reads in an alternate version of the CellServDB file. This argument is mandatory for correct functioning when the Backup Server is running on a subset of the cell's database server machines that is not a majority of the machines listed in the standard /etc/openafs/server/CellServDB file (which the Backup Server consults if this argument is not provided). It is not appropriate in any other circumstances.

-resetdb
    Removes all of the information in the Backup Database files in the /var/lib/openafs/db directory, leaving zero-length versions of them. The backup operator must recreate the configuration entries in the database (for volume sets, the dump hierarchy and so on) before performing backup operations.

-noauth
    Turns off all authorization checks, and allows all connecting users to act as administrators, even unauthenticated users. The use of this option is inherently insecure, and should only be used in controlled environments for experimental or debug purposes. See NoAuth(5).

-smallht
    Directs the Backup Server to use smaller internal hash tables for the Backup Database, which reduces memory requirements but can make data access take longer.

-servers <list of ubik database servers>+
    Specifies the database server machines on which to start the Backup Server. Use this argument if running the Backup Server on a subset of the database server machines that is not a majority of the machines listed in the /etc/openafs/server/CellServDB file.

-rxbind
    Bind the Rx socket to the primary interface only. (If not specified, the Rx socket will listen on all interfaces.)

-p <number of threads>
    Sets the number of server lightweight processes (LWPs or pthreads) to run. Provide a positive integer from the range 3 to 16. The default value is 3.

-ubikbuffers <# of buffers>
    Sets the number of internal buffers used for maintaining the ubik database. The default is 400. If the buserver runs out of free buffers, errors can occur while trying to modify ubik data. It is not recommended to change this setting.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example bos create command creates a "buserver" process on the file server machine "fs3.example.com". It appears here on two lines only for legibility.

   % bos create -server fs3.example.com -instance buserver \
                -type simple -cmd /usr/lib/openafs/buserver

PRIVILEGE REQUIRED
The issuer must be logged in as the superuser "root" on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

SEE ALSO
BackupLog(5), BosConfig(5), CellServDB(5), bdb.DB0(5), backup(8), bos_create(8), bos_getlog(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.